#
# spec file for package kdeedu4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdeedu4
BuildRequires:  boost-devel freeglut-devel kdebase4-workspace-devel
BuildRequires:  gsl-devel libeigen2-devel
BuildRequires:  libgmm++-devel libopenbabel-devel readline-devel
%if ! %{kde_sle}
%if %suse_version > 1030
BuildRequires:  libcfitsio-devel libindi-devel
%endif
%endif
# currently in DOESNOTBUILD (2008-07-03)
%ifnarch ppc ppc64 s390 s390x
BuildRequires:  ocaml ocaml-facile
%endif
%if 0
#arch %ix86
#BuildRequires:  sbig
%endif
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        General Data for KDE Education Applications
Url:            http://edu.kde.org
Version:        4.3.5
Release:        0.2.1
Source0:        kdeedu-%version.tar.bz2
Patch0:         4_3_BRANCH.diff
Patch1:         marble-designer-plugin.diff
Patch2:         desktop-files.diff
Patch3:         kstars-skip-data.diff
%if %{kde_sle}
Patch4:         desktop-files-sle.diff
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Requires:       libkdeedu4
Suggests:       libkdeedu4
Suggests:       blinken
Suggests:       kalzium
Suggests:       kanagram
Suggests:       kbruch
Suggests:       kgeography
Suggests:       khangman
Suggests:       kig
Suggests:       kiten
Suggests:       klatin
Suggests:       klettres
Suggests:       kmplot
Suggests:       kstars
Suggests:       ktouch
Suggests:       kturtle
Suggests:       parley
Suggests:       kwordquiz
Suggests:       marble
Suggests:       kalgebra
Suggests:       step

%description
This package contains data which is required by the KDE education
library.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdeedu-%version
%patch0
%patch1
%patch2
%patch3
%if %{kde_sle}
%patch4
%endif

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -mminimal-toc"
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
%if 0
  mv $RPM_BUILD_ROOT/usr/share/icons/oxygen/scalable/apps/parley.svgz $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/
  mv $RPM_BUILD_ROOT/usr/share/icons/oxygen/128x128/apps/parley.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/128x128/apps/
  mv $RPM_BUILD_ROOT/usr/share/icons/oxygen/16x16/apps/parley.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/
  mv $RPM_BUILD_ROOT/usr/share/icons/oxygen/32x32/apps/parley.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/
  mv $RPM_BUILD_ROOT/usr/share/icons/oxygen/48x48/apps/parley.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/
  mv $RPM_BUILD_ROOT/usr/share/icons/oxygen/64x64/apps/parley.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/
%endif
  %create_subdir_filelist -d libkdeedu -v libkdeedu.devel
  %create_subdir_filelist -d marble -v marble.devel
  %create_subdir_filelist -d blinken
  %create_subdir_filelist -d kalzium
  %create_subdir_filelist -d kanagram
  %create_subdir_filelist -d kbruch
  %create_subdir_filelist -d kalgebra
  %create_subdir_filelist -d kgeography
  %create_subdir_filelist -d khangman
  %create_subdir_filelist -d kig
  %create_subdir_filelist -d kiten
  %create_subdir_filelist -d klettres
  %create_subdir_filelist -d kmplot
  %create_subdir_filelist -d kstars
  %create_subdir_filelist -d ktouch
  %create_subdir_filelist -d kturtle
  %create_subdir_filelist -d parley
  %create_subdir_filelist -d kwordquiz
  %create_subdir_filelist -d step
  cd ..
  sed -ri s,.*libsbigudrv.so.*,, filelists/kstars
  sed -ri s,.*/usr/share/kde4/apps/marble/data.*,, filelists/marble
%if 0
  sed -ri s,.*/usr/share/icons/oxygen/.*/apps/parley.*,, filelists/parley
%endif
  %create_exclude_filelist
  %suse_update_desktop_file khangman      Education Languages
  %suse_update_desktop_file kiten         Education Languages
  %suse_update_desktop_file klettres      Education Languages
  %suse_update_desktop_file parley        Education Languages
  %suse_update_desktop_file kwordquiz     Education Languages
  %suse_update_desktop_file kbruch        Education Math
  %suse_update_desktop_file kalgebra      Education Math
  %suse_update_desktop_file kig           Education Math
  %suse_update_desktop_file kmplot        Education Math
  %suse_update_desktop_file kturtle       Education Math
  %suse_update_desktop_file kalzium       Education Chemistry
  %suse_update_desktop_file step          Education Physics X-KDE-Edu-Teaching
  %suse_update_desktop_file kstars        Education Astronomy
%if %suse_version > 1100
  %suse_update_desktop_file marble        Education Geography
%else
  %suse_update_desktop_file marble        Education Astronomy
%endif
  %suse_update_desktop_file ktouch        Education X-KDE-Edu-Teaching
  %suse_update_desktop_file blinken       Education X-KDE-Edu-Teaching
%if %suse_version > 1100
  %suse_update_desktop_file kgeography    Education Geography
%else
  %suse_update_desktop_file kgeography    Education X-KDE-Edu-Teaching
%endif
  %suse_update_desktop_file kanagram      Education Languages
  %kde_post_install
  # no conflict with sbig package
#  rm $RPM_BUILD_ROOT/usr/%_lib/libsbigudrv.*
  rm -rf $RPM_BUILD_ROOT/usr/share/kde4/apps/marble/data
  %if %suse_version > 1020
  %fdupes -s $RPM_BUILD_ROOT
  %endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package -n libkdeedu4
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        Library for KDE Education Applications
%kde4_runtime_requires

%description -n libkdeedu4
This package contains the KDE education library.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n libkdeedu4 -p /sbin/ldconfig

%postun -n libkdeedu4 -p /sbin/ldconfig

%files -n libkdeedu4 -f filelists/libkdeedu
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n libkdeedu4-devel
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        Library for KDE Education Applications: Build Environment
Requires:       libkdeedu4 = %version kdeedu4 = %version

%description -n libkdeedu4-devel
This package contains all necessary files and libraries needed to
develop KDE education applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n libkdeedu4-devel  -f filelists/libkdeedu.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir /usr/include/libkdeedu
%_kde4_appsdir/cmake/modules/FindKDEEdu.cmake

%package -n blinken
License:        GPLv2+
Group:          Amusements/Games/Other
Summary:        Simon Says Game
Provides:       kde4-blinken = 4.3.0
Obsoletes:      kde4-blinken < 4.3.0
%kde4_runtime_requires

%description -n blinken
A memory enhancement game



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n blinken -p /sbin/ldconfig

%postun -n blinken -p /sbin/ldconfig

%files -n blinken -f filelists/blinken
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n marble
License:        LGPLv2.1+
Group:          Amusements/Teaching/Other
Summary:        A generic map viewer
%kde4_runtime_requires
Requires:       marble-data = %version
Provides:       kde4-marble = 4.3.0
Obsoletes:      kde4-marble < 4.3.0

%description -n marble
Marble is a viewer of map data



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n marble -p /sbin/ldconfig

%postun -n marble -p /sbin/ldconfig

%files -n marble -f filelists/marble
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_appsdir/marble_part
%dir %_kde4_modulesdir/plugins/marble

%package -n marble-devel
License:        LGPLv2.1+
Group:          Amusements/Teaching/Other
Summary:        A generic map viewer: Build Environment
Requires:       marble
Provides:       kde4-marble-devel = 4.3.0
Obsoletes:      kde4-marble-devel < 4.3.0

%description -n marble-devel
Marble is a viewer of map data



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n marble-devel -f filelists/marble.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir /usr/include/marble
%_kde4_appsdir/cmake/modules/FindMarbleWidget.cmake

%package -n kalzium
License:        GPLv2+
Group:          Productivity/Scientific/Chemistry
Summary:        Periodic Table of Elements
# currently in DOESNOTBUILD (2008-07-03)
%ifnarch ppc ppc64 s390 s390x
Requires:       ocaml-facile
%endif
%kde4_runtime_requires
Requires:       kdeedu4
Provides:       kde4-kalzium = 4.3.0
Obsoletes:      kde4-kalzium < 4.3.0

%description -n kalzium
Kalzium shows a periodic table of the elements.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kalzium -p /sbin/ldconfig

%postun -n kalzium -p /sbin/ldconfig

%files -n kalzium -f filelists/kalzium
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_libdir/avogadro-kalzium
%dir %_kde4_libdir/avogadro-kalzium/colors
%dir %_kde4_libdir/avogadro-kalzium/engines
%dir %_kde4_libdir/avogadro-kalzium/tools

%package -n step
License:        GPLv2+
Group:          Productivity/Scientific/Physics
Summary:        Step - A interactive physics simulator
%kde4_runtime_requires
Requires:       kdeedu4
Provides:       kde4-step = 4.3.0
Obsoletes:      kde4-step < 4.3.0

%description -n step
Step is an interactive physical simulator. It works like this: you
place some bodies on the scene, add some forces such as gravity or
springs, then click "Simulate" and Step shows you how your scene will
evolve according to the laws of physics. You can change every property
of bodies/forces in your experiment (even during simulation) and see
how this will change evolution of the experiment. With Step you can not
only learn but feel how physics works !



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n step -p /sbin/ldconfig

%postun -n step -p /sbin/ldconfig

%files -n step -f filelists/step
%defattr(-,root,root)
%doc %lang(en) %_kde4_htmldir/en/step

%package -n kanagram
License:        GPLv2+
Group:          Amusements/Teaching/Language
Summary:        Anagram Game
%kde4_runtime_requires
Requires:       kdeedu4
Provides:       kde4-kanagram = 4.3.0
Obsoletes:      kde4-kanagram < 4.3.0

%description -n kanagram
Kanagram is a letter order game.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kanagram -p /sbin/ldconfig

%postun -n kanagram -p /sbin/ldconfig

%files -n kanagram -f filelists/kanagram
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%config %_kde_config_dir/kanagram.knsrc

%package -n kbruch
License:        GPLv2+
Group:          Amusements/Teaching/Mathematics
Summary:        Excercise Fractions
%kde4_runtime_requires
Provides:       kde4-kbruch = 4.3.0
Obsoletes:      kde4-kbruch < 4.3.0

%description -n kbruch
KBruch is an application to learn calculating with fractions.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kbruch -p /sbin/ldconfig

%postun -n kbruch -p /sbin/ldconfig

%files -n kbruch -f filelists/kbruch
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kalgebra
License:        GPLv2+
Group:          Productivity/Scientific/Math
Summary:        Math Expression Solver and Plotter
%kde4_runtime_requires
Provides:       kde4-kalgebra = 4.3.0
Obsoletes:      kde4-kalgebra < 4.3.0

%description -n kalgebra
KAlgebra is a math expression solver and plotter.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kalgebra -p /sbin/ldconfig

%postun -n kalgebra -p /sbin/ldconfig

%files -n kalgebra -f filelists/kalgebra
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kgeography
License:        GPLv2+
Group:          Amusements/Teaching/Other
Summary:        Geography Trainer
%kde4_runtime_requires
Provides:       kde4-kgeography = 4.3.0
Obsoletes:      kde4-kgeography < 4.3.0

%description -n kgeography
KGreography is a geography learning program



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kgeography -p /sbin/ldconfig

%postun -n kgeography -p /sbin/ldconfig

%files -n kgeography -f filelists/kgeography
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n khangman
License:        GPLv2+
Group:          Amusements/Teaching/Language
Summary:        Hangman Game
%kde4_runtime_requires
Requires:       kdeedu4 = %version
Provides:       kde4-khangman = 4.3.0
Obsoletes:      kde4-khangman < 4.3.0

%description -n khangman
Classical hangman game for KDE



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n khangman -p /sbin/ldconfig

%postun -n khangman -p /sbin/ldconfig

%files -n khangman -f filelists/khangman
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_appsdir/kvtml
%dir %_kde4_appsdir/kvtml/en

%package -n kig
License:        GPLv2+
Group:          Productivity/Scientific/Math
Summary:        Interactive Geometry
%kde4_runtime_requires
Provides:       kde4-kig = 4.3.0
Obsoletes:      kde4-kig < 4.3.0

%description -n kig
Kig is an application for Interactive Geometry. It's intended to serve
two purposes: Allow students to interactively explore mathematical
figures and concepts using the computer. Serve as a WYSIWYG tool for
drawing mathematical figures and including them in other documents.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kig -p /sbin/ldconfig

%postun -n kig -p /sbin/ldconfig

%files -n kig -f filelists/kig
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kiten
License:        GPLv2+
Group:          Amusements/Teaching/Language
Summary:        Japanese Reference/Study Tool
%kde4_runtime_requires
Provides:       kde4-kiten = 4.3.0
Obsoletes:      kde4-kiten < 4.3.0

%description -n kiten
Kiten is a tool to learn Japanese



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kiten -p /sbin/ldconfig

%postun -n kiten -p /sbin/ldconfig

%files -n kiten -f filelists/kiten
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir /usr/include/libkiten
%dir %_kde4_appsdir/kitenradselect

%package -n klettres
License:        GPLv2+
Group:          Amusements/Teaching/Language
Summary:        Alphabet Learning Game
%kde4_runtime_requires
Provides:       kde4-klettres = 4.3.0
Obsoletes:      kde4-klettres < 4.3.0

%description -n klettres
Helps to learn the alphabet and read some syllables



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n klettres -p /sbin/ldconfig

%postun -n klettres -p /sbin/ldconfig

%files -n klettres -f filelists/klettres
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%config %_kde_config_dir/klettres.knsrc

%package -n kmplot
License:        GPLv2+
Group:          Productivity/Scientific/Math
Summary:        Mathematical Function Plotter
%kde4_runtime_requires
Provides:       kde4-kmplot = 4.3.0
Obsoletes:      kde4-kmplot < 4.3.0

%description -n kmplot
Mathematical function plotter for KDE



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kmplot -p /sbin/ldconfig

%postun -n kmplot -p /sbin/ldconfig

%files -n kmplot -f filelists/kmplot
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kstars
License:        GPLv2+
Group:          Productivity/Scientific/Astronomy
Summary:        Desktop Planetarium
%kde4_runtime_requires
Requires:       kstars-data = %version
Requires:       kdeedu4 = %version
Provides:       kde4-kstars = 4.3.0
Obsoletes:      kde4-kstars < 4.3.0

%description -n kstars
KStars is a desktop planetarium for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kstars -p /sbin/ldconfig

%postun -n kstars -p /sbin/ldconfig

%files -n kstars -f filelists/kstars
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n ktouch
License:        GPLv2+
Group:          Amusements/Teaching/Other
Summary:        Touch Typing Tutor
%kde4_runtime_requires
Provides:       kde4-ktouch = 4.3.0
Obsoletes:      kde4-ktouch < 4.3.0

%description -n ktouch
A KDE program that helps you to learn and practice touch typing.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n ktouch -p /sbin/ldconfig

%postun -n ktouch -p /sbin/ldconfig

%files -n ktouch -f filelists/ktouch
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kturtle
License:        GPLv2+
Group:          Amusements/Teaching/Mathematics
Summary:        Logo Programming Environment
%kde4_runtime_requires
Provides:       kde4-kturtle = 4.3.0
Obsoletes:      kde4-kturtle < 4.3.0

%description -n kturtle
KTurtle is an educational Logo programming environment.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kturtle -p /sbin/ldconfig

%postun -n kturtle -p /sbin/ldconfig

%files -n kturtle -f filelists/kturtle
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n parley
License:        GPLv2+
Group:          Amusements/Teaching/Language
Summary:        Vocabulary Trainer
%kde4_runtime_requires
Requires:       kdeedu4
Provides:       kde4-parley = 4.3.0
Obsoletes:      kde4-parley < 4.3.0

%description -n parley
KVoctrain is a vocabulary trainer for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n parley -p /sbin/ldconfig

%postun -n parley -p /sbin/ldconfig

%files -n parley -f filelists/parley
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%if 0
%_kde4_iconsdir/hicolor/*/apps/parley.*
%endif

%package -n kwordquiz
License:        GPLv2+
Group:          Amusements/Teaching/Language
Summary:        Vocabulary Trainer
%kde4_runtime_requires
Requires:       kdeedu4
Provides:       kde4-kwordquiz = 4.3.0
Obsoletes:      kde4-kwordquiz < 4.3.0

%description -n kwordquiz
A powerful flashcard and vocabulary learning program



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kwordquiz -p /sbin/ldconfig

%postun -n kwordquiz -p /sbin/ldconfig

%files -n kwordquiz -f filelists/kwordquiz
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%config %_kde_config_dir/kwordquiz.knsrc

%files -f filelists/exclude
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_appsdir/libkdeedu
%_kde4_appsdir/kvtml/en

%changelog
* Mon Mar 29 2010 dmueller@suse.de
- update branch diff to fix kstars crash (bnc#591716)
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Tue Dec  8 2009 ro@suse.de
- remove ocaml buildrequires from noarch specfile (unused)
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Fri Nov 20 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Nov 19 2009 wstephenson@novell.com
- Remove astronomical dependencies for SLE11SP1
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: khangman fixes and translation updates
* Wed Sep 16 2009 coolo@novell.com
- branch update for improved translations
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Thu Jul  9 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4 package prefixes
* Fri Jun 19 2009 beineri@opensuse.org
- update build requires of -noarch
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Tue May 12 2009 dmueller@suse.de
- fix dependencies
* Sat May  2 2009 beineri@opensuse.org
- fix kde4-khangman missing data (bnc#481119)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Sat Mar  7 2009 coolo@suse.de
- update 4.2 branch to add stdio.h
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Thu Feb 12 2009 dmueller@suse.de
- update branch diff again for marble
* Mon Feb  9 2009 dmueller@suse.de
- update branch diff again for marble
* Sun Feb  8 2009 stbinner@suse.de
- update branch diff: fix Designer crash due to Marble plugin
* Thu Feb  5 2009 stbinner@suse.de
- fix -noarch build on ppc64
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Sun Jan 11 2009 stbinner@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Mon Dec  1 2008 ro@suse.de
- no ocaml on s390 and s390x (as on ppc ppc64)
* Thu Nov  6 2008 dmueller@suse.de
- fix kdeedu4-noarch buildrequires
* Wed Nov  5 2008 dmueller@suse.de
- use minimal-toc to fix build on ppc(64)
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Fri Sep  5 2008 stbinner@suse.de
- build separate kde4-kstars-data package again
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Tue Aug 19 2008 stbinner@suse.de
- branch diff update: many Kalzium and Marble bug fixes
* Wed Aug 13 2008 dmueller@suse.de
- fix build
* Mon Aug  4 2008 dmueller@suse.de
- branch diff update
* Wed Jul 30 2008 dmueller@suse.de
- enable kde4-step build
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Tue Jul 22 2008 dmueller@suse.de
- file list fix
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Thu Jul 10 2008 dmueller@suse.de
- update to 4.0.98
* Mon Jul  7 2008 dmueller@suse.de
- fix kde4-marble maps packaging error
* Fri Jul  4 2008 dmueller@suse.de
- update to 4.0.85
* Tue Jul  1 2008 dmueller@suse.de
- fix filelist again
* Tue Jul  1 2008 dmueller@suse.de
- update filelist
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Thu May 29 2008 dmueller@suse.de
- make sure that the right version of kde4-marble-data is installed
  (kde#162254)
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Fri Apr 25 2008 dmueller@suse.de
- branch diff update
* Mon Apr 21 2008 stbinner@suse.de
- fix file lists
- branch diff update
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Tue Mar 11 2008 dmueller@suse.de
- 4_0_BRANCH.diff update:
  * include fullscreen window handling fixes
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Wed Feb 27 2008 dmueller@suse.de
- update branch diff, add pre_checkin to make upgrade easier
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sun Jan 20 2008 stbinner@suse.de
- update KDE_4_0_BRANCH.diff
* Sat Jan  5 2008 dmueller@suse.de
- update to 4.0
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Fri Dec 21 2007 stbinner@suse.de
- fix file conflict
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Thu Dec  6 2007 dmueller@suse.de
- adjust desktop files
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Mon Nov  5 2007 dmueller@suse.de
- fix build on ppc
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Wed Oct 31 2007 dmueller@suse.de
- update to KDE 4.0 Beta4
* Sat Oct 20 2007 dmueller@suse.de
- update to 3.94.1
* Tue Oct  9 2007 dmueller@suse.de
- update to KDE 4.0 Beta 3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720124
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712059
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703905
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700953
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697375
- fix file conflict
* Sun Jul 29 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn685967
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn678988
* Wed Jun 13 2007 dmueller@suse.de
- update buildrequires (ocaml-facile)
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670254
* Mon Jun  4 2007 stbinner@suse.de
- fix build
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Wed May 30 2007 coolo@suse.de
- fix spec file after kdelibs moves
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668119
* Wed May 23 2007 stbinner@suse.de
- use %%fdupes
* Fri May 18 2007 dmueller@suse.de
- remove facile requirement from Factory
* Sun May 13 2007 schwab@suse.de
- Fix file list.
* Sat May 12 2007 schwab@suse.de
- Fix dependencies.
* Fri May 11 2007 stbinner@suse.de
- initial package in abuild
